Package com.collabnet.ce.soap60.webservices.pluggable

# Class PluggableAppSoapMockStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.ClientSoapMockStub
com.collabnet.ce.soap60.webservices.pluggable.PluggableAppSoapMockStub

All Implemented Interfaces:
  `IPluggableAppSoap`

public class PluggableAppSoapMockStub extends ClientSoapMockStub implements IPluggableAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluggableAppSoapMockStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.vasoftware.sf.server.services.pluggable.PluggableComponentDO`
  `createIntegratedApplication(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId)`
  Simulate a call to createIntegratedApplication
  `com.vasoftware.sf.server.services.pluggable.PluggableComponentDO`
  `createIntegratedApplication(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType)`
  Simulate a call to createIntegratedApplication
  `com.vasoftware.sf.server.services.pluggable.PluggableComponentDO`
  `createIntegratedApplication(String sessionId, com.vasoftware.sf.server.services.pluggable.PluggableComponentDO pluggableComponentDO)`
  Simulate a call to createIntegratedApplication
  `com.vasoftware.sf.server.services.pluggable.PluggableComponentDO`
  `createIntegratedApplication(String sessionId, com.vasoftware.sf.server.services.pluggable.PluggableComponentDO pluggableComponentDO, String iconFileKey, String iconFileName, String iconMimeType)`
  Simulate a call to createIntegratedApplication
  `PluggableComponentSoapDO`
  `createIntegratedApplication(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle)`
  Deprecated.
  `PluggableComponent2SoapDO`
  `createIntegratedApplication2(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType)`
  Deprecated.
  `PluggableComponent2SoapDO`
  `createIntegratedApplication3(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileKey, String iconFileName, String iconMimeType, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType)`
  Deprecated.
  `PluggableComponent3SoapDO`
  `createIntegratedApplication4(String sessionId, PluggableComponent3SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType)`
  Deprecated.
  `PluggableComponent4SoapDO`
  `createIntegratedApplication5(String sessionId, PluggableComponent4SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType)`
  Deprecated.
  `PluggableComponent5SoapDO`
  `createIntegratedApplication6(String sessionId, PluggableComponent5SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType)`
  Simulate a call to createIntegratedApplication6
  `PluggableComponentSoapDO`
  `createIntegratedApplicationFromXMLFiles(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId)`
  Deprecated.
  `PluggableComponent2SoapDO`
  `createIntegratedApplicationFromXMLFiles2(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId)`
  Deprecated.
  `PluggableComponent2SoapDO`
  `createIntegratedApplicationFromXMLFiles3(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType)`
  Deprecated.
  `PluggableComponent3SoapDO`
  `createIntegratedApplicationFromXMLFiles4(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType)`
  Deprecated.
  `PluggableComponent4SoapDO`
  `createIntegratedApplicationFromXMLFiles5(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType)`
  Deprecated.
  `PluggableComponent5SoapDO`
  `createIntegratedApplicationFromXMLFiles6(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType)`
  Simulate a call to createIntegratedApplicationFromXMLFiles6
  `void`
  `deleteIntegratedApplication(String sessionId, String plugName)`
  Simulate a call to deleteIntegratedApplication
  `void`
  `editIntegratedApplication(String sessionId, PluggableComponentSoapDO soapDO)`
  Deprecated.
  `void`
  `editIntegratedApplication2(String sessionId, PluggableComponent2SoapDO soapDO)`
  Deprecated.
  `void`
  `editIntegratedApplication3(String sessionId, PluggableComponent3SoapDO soapDO)`
  Deprecated.
  `void`
  `editIntegratedApplication4(String sessionId, PluggableComponent4SoapDO soapDO)`
  Deprecated.
  `void`
  `editIntegratedApplication5(String sessionId, PluggableComponent5SoapDO soapDO)`
  Simulate a call to editIntegratedApplication5
  `void`
  `editIntegratedApplicationFromXMLFiles(String sessionId, String integratedAppId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId)`
  Simulate a call to editIntegratedApplicationFromXMLFiles
  `SoapNamedValues`
  `editProjectConfigurationParameters(String sessionId, String projectId, PluggableComponentParameterSoapDO[] paramDO)`
  Deprecated.
  `SoapNamedValues`
  `editProjectConfigurationParameters2(String sessionId, String integratedAppId, String projectId, PluggableComponentParameterSoapDO[] paramDO)`
  Simulate a call to editProjectConfigurationParameters2
  `SoapNamedValues`
  `enablePluggableComponent(String sessionId, String projectID, String pluggableId, PluggableComponentParameterSoapDO[] params, String prefix)`
  Simulate a call to enablePluggableComponent
  `com.vasoftware.sf.server.services.pluggable.PluggableComponentDO`
  `findIntegratedApplicationByName(String sessionId, String integratedAppName)`
  Simulate a call to findIntegratedApplicationByName
  `String`
  `getBaseUrlByLinkId(String sessionId, String linkId)`
  Simulate a call to getBaseUrlByLinkId
  `String`
  `getBaseUrlByName(String sessionId, String iaName)`
  Simulate a call to getBaseUrlByName
  `PluggableComponentSoapDO`
  `getIntegratedApplicationByName(String sessionId, String plugName)`
  Deprecated.
  `PluggableComponent2SoapDO`
  `getIntegratedApplicationByName2(String sessionId, String integratedAppName)`
  Deprecated.
  `PluggableComponent3SoapDO`
  `getIntegratedApplicationByName3(String sessionId, String integratedAppName)`
  Deprecated.
  `PluggableComponent4SoapDO`
  `getIntegratedApplicationByName4(String sessionId, String integratedAppName)`
  Deprecated.
  `PluggableComponent5SoapDO`
  `getIntegratedApplicationByName5(String sessionId, String integratedAppName)`
  Simulate a call to getIntegratedApplicationByName5
  `String[]`
  `getIntegratedAppPrefixes(String sessionId)`
  Simulate a call to getIntegratedAppPrefixes
  `String`
  `getLinkPlugId(String sessionId, String projectPath, String baseUrl)`
  Simulate a call to getLinkPlugId
  `String`
  `getLinkPlugIdByPlugId(String sessionId, String projectId, String pluggableId)`
  Simulate a call to getLinkPlugIdByPlugId
  `com.vasoftware.sf.server.services.pluggable.PluggableComponentDO`
  `getPluggableComponentDO(String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] configParamDO, PluggableComponentParameterSoapDO[] globalConfigParamDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType)`
  Simulate a call to getPluggableComponentDO
  `String`
  `getPlugIdByBaseUrl(String sessionId, String baseUrl)`
  Simulate a call to getPlugIdByBaseUrl
  `PluggableComponentParameterSoapDO[]`
  `getProjectConfigParameterData(String sessionId, String linkId)`
  Simulate a call to getProjectConfigParameterData
  `String`
  `getProjectPathByIntegratedAppId(String sessionId, String linkId)`
  Simulate a call to getProjectPathByIntegratedAppId
  `String`
  `getProjectPrefix(String sessionId, String linkId)`
  Simulate a call to getProjectPrefix
  `PluggableComponentSoapList`
  `listPluggableComponents(String sessionId)`
  Deprecated.
  `PluggableComponent2SoapList`
  `listPluggableComponents2(String sessionId)`
  Simulate a call to listPluggableComponents2
  `PluggableComponent2SoapList`
  `listPluggableComponentsByCategory(String sessionId, String category)`
  Simulate a call to listPluggableComponentsByCategory
  `LinkPluggableComponentSoapList`
  `listPluggableComponentsForProject(String sessionId, String projectId)`
  Simulate a call to listPluggableComponentsForProject
  `void`
  `prepareCreateIntegratedApplication(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId, Object returnValue)`
  Prepare a simulated response to createIntegratedApplication
  `void`
  `prepareCreateIntegratedApplication(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplication
  `void`
  `prepareCreateIntegratedApplication(String sessionId, com.vasoftware.sf.server.services.pluggable.PluggableComponentDO pluggableComponentDO, Object returnValue)`
  Prepare a simulated response to createIntegratedApplication
  `void`
  `prepareCreateIntegratedApplication(String sessionId, com.vasoftware.sf.server.services.pluggable.PluggableComponentDO pluggableComponentDO, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplication
  `void`
  `prepareCreateIntegratedApplication(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, Object returnValue)`
  Prepare a simulated response to createIntegratedApplication
  `void`
  `prepareCreateIntegratedApplication2(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplication2
  `void`
  `prepareCreateIntegratedApplication3(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileKey, String iconFileName, String iconMimeType, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplication3
  `void`
  `prepareCreateIntegratedApplication4(String sessionId, PluggableComponent3SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplication4
  `void`
  `prepareCreateIntegratedApplication5(String sessionId, PluggableComponent4SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplication5
  `void`
  `prepareCreateIntegratedApplication6(String sessionId, PluggableComponent5SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplication6
  `void`
  `prepareCreateIntegratedApplicationFromXMLFiles(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId, Object returnValue)`
  Prepare a simulated response to createIntegratedApplicationFromXMLFiles
  `void`
  `prepareCreateIntegratedApplicationFromXMLFiles2(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId, Object returnValue)`
  Prepare a simulated response to createIntegratedApplicationFromXMLFiles2
  `void`
  `prepareCreateIntegratedApplicationFromXMLFiles3(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplicationFromXMLFiles3
  `void`
  `prepareCreateIntegratedApplicationFromXMLFiles4(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplicationFromXMLFiles4
  `void`
  `prepareCreateIntegratedApplicationFromXMLFiles5(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplicationFromXMLFiles5
  `void`
  `prepareCreateIntegratedApplicationFromXMLFiles6(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)`
  Prepare a simulated response to createIntegratedApplicationFromXMLFiles6
  `void`
  `prepareDeleteIntegratedApplication(String sessionId, String plugName)`
  Prepare a simulated response to deleteIntegratedApplication
  `void`
  `prepareDeleteIntegratedApplication(String sessionId, String plugName, Exception exception)`
  Prepare a simulated response to deleteIntegratedApplication
  `void`
  `prepareEditIntegratedApplication(String sessionId, PluggableComponentSoapDO soapDO)`
  Prepare a simulated response to editIntegratedApplication
  `void`
  `prepareEditIntegratedApplication(String sessionId, PluggableComponentSoapDO soapDO, Exception exception)`
  Prepare a simulated response to editIntegratedApplication
  `void`
  `prepareEditIntegratedApplication2(String sessionId, PluggableComponent2SoapDO soapDO)`
  Prepare a simulated response to editIntegratedApplication2
  `void`
  `prepareEditIntegratedApplication2(String sessionId, PluggableComponent2SoapDO soapDO, Exception exception)`
  Prepare a simulated response to editIntegratedApplication2
  `void`
  `prepareEditIntegratedApplication3(String sessionId, PluggableComponent3SoapDO soapDO)`
  Prepare a simulated response to editIntegratedApplication3
  `void`
  `prepareEditIntegratedApplication3(String sessionId, PluggableComponent3SoapDO soapDO, Exception exception)`
  Prepare a simulated response to editIntegratedApplication3
  `void`
  `prepareEditIntegratedApplication4(String sessionId, PluggableComponent4SoapDO soapDO)`
  Prepare a simulated response to editIntegratedApplication4
  `void`
  `prepareEditIntegratedApplication4(String sessionId, PluggableComponent4SoapDO soapDO, Exception exception)`
  Prepare a simulated response to editIntegratedApplication4
  `void`
  `prepareEditIntegratedApplication5(String sessionId, PluggableComponent5SoapDO soapDO)`
  Prepare a simulated response to editIntegratedApplication5
  `void`
  `prepareEditIntegratedApplication5(String sessionId, PluggableComponent5SoapDO soapDO, Exception exception)`
  Prepare a simulated response to editIntegratedApplication5
  `void`
  `prepareEditIntegratedApplicationFromXMLFiles(String sessionId, String integratedAppId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId)`
  Prepare a simulated response to editIntegratedApplicationFromXMLFiles
  `void`
  `prepareEditIntegratedApplicationFromXMLFiles(String sessionId, String integratedAppId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId, Exception exception)`
  Prepare a simulated response to editIntegratedApplicationFromXMLFiles
  `void`
  `prepareEditProjectConfigurationParameters(String sessionId, String projectId, PluggableComponentParameterSoapDO[] paramDO, Object returnValue)`
  Prepare a simulated response to editProjectConfigurationParameters
  `void`
  `prepareEditProjectConfigurationParameters2(String sessionId, String integratedAppId, String projectId, PluggableComponentParameterSoapDO[] paramDO, Object returnValue)`
  Prepare a simulated response to editProjectConfigurationParameters2
  `void`
  `prepareEnablePluggableComponent(String sessionId, String projectID, String pluggableId, PluggableComponentParameterSoapDO[] params, String prefix, Object returnValue)`
  Prepare a simulated response to enablePluggableComponent
  `void`
  `prepareFindIntegratedApplicationByName(String sessionId, String integratedAppName, Object returnValue)`
  Prepare a simulated response to findIntegratedApplicationByName
  `void`
  `prepareGetBaseUrlByLinkId(String sessionId, String linkId, Object returnValue)`
  Prepare a simulated response to getBaseUrlByLinkId
  `void`
  `prepareGetBaseUrlByName(String sessionId, String iaName, Object returnValue)`
  Prepare a simulated response to getBaseUrlByName
  `void`
  `prepareGetIntegratedApplicationByName(String sessionId, String plugName, Object returnValue)`
  Prepare a simulated response to getIntegratedApplicationByName
  `void`
  `prepareGetIntegratedApplicationByName2(String sessionId, String integratedAppName, Object returnValue)`
  Prepare a simulated response to getIntegratedApplicationByName2
  `void`
  `prepareGetIntegratedApplicationByName3(String sessionId, String integratedAppName, Object returnValue)`
  Prepare a simulated response to getIntegratedApplicationByName3
  `void`
  `prepareGetIntegratedApplicationByName4(String sessionId, String integratedAppName, Object returnValue)`
  Prepare a simulated response to getIntegratedApplicationByName4
  `void`
  `prepareGetIntegratedApplicationByName5(String sessionId, String integratedAppName, Object returnValue)`
  Prepare a simulated response to getIntegratedApplicationByName5
  `void`
  `prepareGetIntegratedAppPrefixes(String sessionId, Object returnValue)`
  Prepare a simulated response to getIntegratedAppPrefixes
  `void`
  `prepareGetLinkPlugId(String sessionId, String projectPath, String baseUrl, Object returnValue)`
  Prepare a simulated response to getLinkPlugId
  `void`
  `prepareGetLinkPlugIdByPlugId(String sessionId, String projectId, String pluggableId, Object returnValue)`
  Prepare a simulated response to getLinkPlugIdByPlugId
  `void`
  `prepareGetPluggableComponentDO(String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] configParamDO, PluggableComponentParameterSoapDO[] globalConfigParamDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType, Object returnValue)`
  Prepare a simulated response to getPluggableComponentDO
  `void`
  `prepareGetPlugIdByBaseUrl(String sessionId, String baseUrl, Object returnValue)`
  Prepare a simulated response to getPlugIdByBaseUrl
  `void`
  `prepareGetProjectConfigParameterData(String sessionId, String linkId, Object returnValue)`
  Prepare a simulated response to getProjectConfigParameterData
  `void`
  `prepareGetProjectPathByIntegratedAppId(String sessionId, String linkId, Object returnValue)`
  Prepare a simulated response to getProjectPathByIntegratedAppId
  `void`
  `prepareGetProjectPrefix(String sessionId, String linkId, Object returnValue)`
  Prepare a simulated response to getProjectPrefix
  `void`
  `prepareListPluggableComponents(String sessionId, Object returnValue)`
  Prepare a simulated response to listPluggableComponents
  `void`
  `prepareListPluggableComponents2(String sessionId, Object returnValue)`
  Prepare a simulated response to listPluggableComponents2
  `void`
  `prepareListPluggableComponentsByCategory(String sessionId, String category, Object returnValue)`
  Prepare a simulated response to listPluggableComponentsByCategory
  `void`
  `prepareListPluggableComponentsForProject(String sessionId, String projectId, Object returnValue)`
  Prepare a simulated response to listPluggableComponentsForProject
  `void`
  `prepareRemoveProjectIntegratedApplication(String sessionId, String linkId)`
  Prepare a simulated response to removeProjectIntegratedApplication
  `void`
  `prepareRemoveProjectIntegratedApplication(String sessionId, String linkId, Exception exception)`
  Prepare a simulated response to removeProjectIntegratedApplication
  `void`
  `prepareSetIntegratedApplicationIcon(String sessionId, String integratedAppId, String iconFileKey, String iconFileName, String iconMimeType)`
  Prepare a simulated response to setIntegratedApplicationIcon
  `void`
  `prepareSetIntegratedApplicationIcon(String sessionId, String integratedAppId, String iconFileKey, String iconFileName, String iconMimeType, Exception exception)`
  Prepare a simulated response to setIntegratedApplicationIcon
  `void`
  `prepareSetPluggableAppMessageResource(String sessionId, String pluggableId, String locale, String key, String value)`
  Prepare a simulated response to setPluggableAppMessageResource
  `void`
  `prepareSetPluggableAppMessageResource(String sessionId, String pluggableId, String locale, String key, String value, Exception exception)`
  Prepare a simulated response to setPluggableAppMessageResource
  `void`
  `prepareStoreIconFile(String iconFileKey, String iconFileName, String iconMimeType, String loggedInUser, Object returnValue)`
  Prepare a simulated response to storeIconFile
  `void`
  `prepareUpdateRecentAccess(String userId, String objectId)`
  Prepare a simulated response to updateRecentAccess
  `void`
  `prepareUpdateRecentAccess(String userId, String objectId, Exception exception)`
  Prepare a simulated response to updateRecentAccess
  `void`
  `removeProjectIntegratedApplication(String sessionId, String linkId)`
  Simulate a call to removeProjectIntegratedApplication
  `void`
  `setIntegratedApplicationIcon(String sessionId, String integratedAppId, String iconFileKey, String iconFileName, String iconMimeType)`
  Simulate a call to setIntegratedApplicationIcon
  `void`
  `setPluggableAppMessageResource(String sessionId, String pluggableId, String locale, String key, String value)`
  Simulate a call to setPluggableAppMessageResource
  `com.vasoftware.sf.server.types.GuidKey`
  `storeIconFile(String iconFileKey, String iconFileName, String iconMimeType, String loggedInUser)`
  Simulate a call to storeIconFile
  `void`
  `updateRecentAccess(String userId, String objectId)`
  Simulate a call to updateRecentAccess

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluggableAppSoapMockStub

    public PluggableAppSoapMockStub(String soapServerUrl)

- ## Method Details

  - ### prepareListPluggableComponents

    public void prepareListPluggableComponents(String sessionId, Object returnValue)
    Prepare a simulated response to listPluggableComponents
    See Also:
      - `PluggableAppSoap.listPluggableComponents(java.lang.String)`

  - ### listPluggableComponents

    @Deprecated public PluggableComponentSoapList listPluggableComponents(String sessionId) throws RemoteException
    Deprecated.
    Simulate a call to listPluggableComponents
    Specified by:
      `listPluggableComponents` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
    Returns:
      list of integrated applications in the site.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.listPluggableComponents(java.lang.String)`

  - ### prepareListPluggableComponents2

    public void prepareListPluggableComponents2(String sessionId, Object returnValue)
    Prepare a simulated response to listPluggableComponents2
    See Also:
      - `PluggableAppSoap.listPluggableComponents2(java.lang.String)`

  - ### listPluggableComponents2

    public PluggableComponent2SoapList listPluggableComponents2(String sessionId) throws RemoteException
    Simulate a call to listPluggableComponents2
    Specified by:
      `listPluggableComponents2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
    Returns:
      list of integrated applications in the site.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.listPluggableComponents2(java.lang.String)`

  - ### prepareListPluggableComponentsByCategory

    public void prepareListPluggableComponentsByCategory(String sessionId, String category, Object returnValue)
    Prepare a simulated response to listPluggableComponentsByCategory
    See Also:
      - `PluggableAppSoap.listPluggableComponentsByCategory(java.lang.String, java.lang.String)`

  - ### listPluggableComponentsByCategory

    public PluggableComponent2SoapList listPluggableComponentsByCategory(String sessionId, String category) throws RemoteException
    Simulate a call to listPluggableComponentsByCategory
    Specified by:
      `listPluggableComponentsByCategory` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `category` - category of the integrated application.
    Returns:
      list of integrated applications in the site.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.listPluggableComponentsByCategory(java.lang.String, java.lang.String)`

  - ### prepareEnablePluggableComponent

    public void prepareEnablePluggableComponent(String sessionId, String projectID, String pluggableId, PluggableComponentParameterSoapDO[] params, String prefix, Object returnValue)
    Prepare a simulated response to enablePluggableComponent
    See Also:
      - `PluggableAppSoap.enablePluggableComponent(java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String)`

  - ### enablePluggableComponent

    public SoapNamedValues enablePluggableComponent(String sessionId, String projectID, String pluggableId, PluggableComponentParameterSoapDO[] params, String prefix) throws RemoteException
    Simulate a call to enablePluggableComponent
    Specified by:
      `enablePluggableComponent` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `projectID` - Project ID project to which the pluggable app should be added.
      `pluggableId` - pluggable application that should be added to a project
      `params` - Param Array of PluggableComponentParameter Values
      `prefix` - the pluggablecomponent prefix
    Returns:
      name/value pair of validation errors if any
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project/integrated appln. id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `IntegratedAppDisabledFault` - thrown when the integrated application is disabled from addition to projects
      `RemoteException`
    See Also:
      - `PluggableAppSoap.enablePluggableComponent(java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String)`

  - ### prepareGetProjectConfigParameterData

    public void prepareGetProjectConfigParameterData(String sessionId, String linkId, Object returnValue)
    Prepare a simulated response to getProjectConfigParameterData
    See Also:
      - `PluggableAppSoap.getProjectConfigParameterData(java.lang.String, java.lang.String)`

  - ### getProjectConfigParameterData

    public PluggableComponentParameterSoapDO[] getProjectConfigParameterData(String sessionId, String linkId) throws RemoteException
    Simulate a call to getProjectConfigParameterData
    Specified by:
      `getProjectConfigParameterData` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `linkId` - the link id between a pluggable application and a project
    Returns:
      array of project specific configuration parameters
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project integrated appln. id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getProjectConfigParameterData(java.lang.String, java.lang.String)`

  - ### prepareEditProjectConfigurationParameters

    public void prepareEditProjectConfigurationParameters(String sessionId, String projectId, PluggableComponentParameterSoapDO[] paramDO, Object returnValue)
    Prepare a simulated response to editProjectConfigurationParameters
    See Also:
      - `PluggableAppSoap.editProjectConfigurationParameters(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[])`

  - ### editProjectConfigurationParameters

    @Deprecated public SoapNamedValues editProjectConfigurationParameters(String sessionId, String projectId, PluggableComponentParameterSoapDO[] paramDO) throws RemoteException
    Deprecated.
    Simulate a call to editProjectConfigurationParameters
    Specified by:
      `editProjectConfigurationParameters` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `projectId` - project in which the pluggable application resides.
      `paramDO` - project specific configuration parameters for a pluggable application
    Returns:
      name/value pair of validation errors if any, where name is the parameter name and value is the error string.
    Throws:
      `NoSuchObjectFault` - when the specified project id or the configuration params is invalid.
      `InvalidSessionFault` - when the specified session id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.editProjectConfigurationParameters(java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[])`

  - ### prepareEditProjectConfigurationParameters2

    public void prepareEditProjectConfigurationParameters2(String sessionId, String integratedAppId, String projectId, PluggableComponentParameterSoapDO[] paramDO, Object returnValue)
    Prepare a simulated response to editProjectConfigurationParameters2
    See Also:
      - `PluggableAppSoap.editProjectConfigurationParameters2(java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[])`

  - ### editProjectConfigurationParameters2

    public SoapNamedValues editProjectConfigurationParameters2(String sessionId, String integratedAppId, String projectId, PluggableComponentParameterSoapDO[] paramDO) throws RemoteException
    Simulate a call to editProjectConfigurationParameters2
    Specified by:
      `editProjectConfigurationParameters2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - Soap session ID
      `integratedAppId` - integrated application ID
      `projectId` - project in which the integrated application resides
      `paramDO` - project specific configuration parameters of an integrated application
    Returns:
      name/value pair of validation errors if any, where name is the parameter name and value is the error string.
    Throws:
      `NoSuchObjectFault` - thrown if given project id or the configuration parameter is invalid.
      `InvalidSessionFault` - thrown if the soap session is invalid.
      `SystemFault` - thrown on the occurrence of an unexpected system level error.
      `PermissionDeniedFault` - thrown if the user has insufficient privileges.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.editProjectConfigurationParameters2(java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[])`

  - ### prepareDeleteIntegratedApplication

    public void prepareDeleteIntegratedApplication(String sessionId, String plugName)
    Prepare a simulated response to deleteIntegratedApplication
    See Also:
      - `PluggableAppSoap.deleteIntegratedApplication(java.lang.String, java.lang.String)`

  - ### prepareDeleteIntegratedApplication

    public void prepareDeleteIntegratedApplication(String sessionId, String plugName, Exception exception)
    Prepare a simulated response to deleteIntegratedApplication
    See Also:
      - `PluggableAppSoap.deleteIntegratedApplication(java.lang.String, java.lang.String)`

  - ### deleteIntegratedApplication

    public void deleteIntegratedApplication(String sessionId, String plugName) throws RemoteException
    Simulate a call to deleteIntegratedApplication
    Specified by:
      `deleteIntegratedApplication` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `plugName` - the integratedApp Name
    Throws:
      `InvalidSessionFault` - thrown when the session is invalid
      `PermissionDeniedFault` - thrown when the user does not have the permission to perform this operation
      `RemoteException`
    See Also:
      - `PluggableAppSoap.deleteIntegratedApplication(java.lang.String, java.lang.String)`

  - ### prepareRemoveProjectIntegratedApplication

    public void prepareRemoveProjectIntegratedApplication(String sessionId, String linkId)
    Prepare a simulated response to removeProjectIntegratedApplication
    See Also:
      - `PluggableAppSoap.removeProjectIntegratedApplication(java.lang.String, java.lang.String)`

  - ### prepareRemoveProjectIntegratedApplication

    public void prepareRemoveProjectIntegratedApplication(String sessionId, String linkId, Exception exception)
    Prepare a simulated response to removeProjectIntegratedApplication
    See Also:
      - `PluggableAppSoap.removeProjectIntegratedApplication(java.lang.String, java.lang.String)`

  - ### removeProjectIntegratedApplication

    public void removeProjectIntegratedApplication(String sessionId, String linkId) throws RemoteException
    Simulate a call to removeProjectIntegratedApplication
    Specified by:
      `removeProjectIntegratedApplication` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `linkId` - project pluggable application id
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project integrated appln. id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.removeProjectIntegratedApplication(java.lang.String, java.lang.String)`

  - ### prepareListPluggableComponentsForProject

    public void prepareListPluggableComponentsForProject(String sessionId, String projectId, Object returnValue)
    Prepare a simulated response to listPluggableComponentsForProject
    See Also:
      - `PluggableAppSoap.listPluggableComponentsForProject(java.lang.String, java.lang.String)`

  - ### listPluggableComponentsForProject

    public LinkPluggableComponentSoapList listPluggableComponentsForProject(String sessionId, String projectId) throws RemoteException
    Simulate a call to listPluggableComponentsForProject
    Specified by:
      `listPluggableComponentsForProject` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `projectId` - Project ID.
    Returns:
      pcList PluggableComponentList.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.listPluggableComponentsForProject(java.lang.String, java.lang.String)`

  - ### prepareGetLinkPlugId

    public void prepareGetLinkPlugId(String sessionId, String projectPath, String baseUrl, Object returnValue)
    Prepare a simulated response to getLinkPlugId
    See Also:
      - `PluggableAppSoap.getLinkPlugId(java.lang.String, java.lang.String, java.lang.String)`

  - ### getLinkPlugId

    public String getLinkPlugId(String sessionId, String projectPath, String baseUrl) throws RemoteException
    Simulate a call to getLinkPlugId
    Specified by:
      `getLinkPlugId` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `projectPath` - the project path
      `baseUrl` - integrated application base URL
    Returns:
      integrated application id for the specified project and base URL
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - thrown when an association between the iaf and the project does not exist
      `SystemFault` - when an unexpected system level error occurs.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getLinkPlugId(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetProjectPathByIntegratedAppId

    public void prepareGetProjectPathByIntegratedAppId(String sessionId, String linkId, Object returnValue)
    Prepare a simulated response to getProjectPathByIntegratedAppId
    See Also:
      - `PluggableAppSoap.getProjectPathByIntegratedAppId(java.lang.String, java.lang.String)`

  - ### getProjectPathByIntegratedAppId

    public String getProjectPathByIntegratedAppId(String sessionId, String linkId) throws RemoteException
    Simulate a call to getProjectPathByIntegratedAppId
    Specified by:
      `getProjectPathByIntegratedAppId` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `linkId` - linkId id of integrated application id/prpl id
    Returns:
      project path for the given integrated application.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified integrated application id is invalid
      `SystemFault` - when an unexpected system level error occurs.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getProjectPathByIntegratedAppId(java.lang.String, java.lang.String)`

  - ### prepareGetBaseUrlByLinkId

    public void prepareGetBaseUrlByLinkId(String sessionId, String linkId, Object returnValue)
    Prepare a simulated response to getBaseUrlByLinkId
    See Also:
      - `PluggableAppSoap.getBaseUrlByLinkId(java.lang.String, java.lang.String)`

  - ### getBaseUrlByLinkId

    public String getBaseUrlByLinkId(String sessionId, String linkId) throws RemoteException
    Simulate a call to getBaseUrlByLinkId
    Specified by:
      `getBaseUrlByLinkId` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `linkId` - project integrated application id.
    Returns:
      the project integrated application's base URL
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified integrated application id is invalid
      `SystemFault` - when an unexpected system level error occurs.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getBaseUrlByLinkId(java.lang.String, java.lang.String)`

  - ### prepareGetPlugIdByBaseUrl

    public void prepareGetPlugIdByBaseUrl(String sessionId, String baseUrl, Object returnValue)
    Prepare a simulated response to getPlugIdByBaseUrl
    See Also:
      - `PluggableAppSoap.getPlugIdByBaseUrl(java.lang.String, java.lang.String)`

  - ### getPlugIdByBaseUrl

    public String getPlugIdByBaseUrl(String sessionId, String baseUrl) throws RemoteException
    Simulate a call to getPlugIdByBaseUrl
    Specified by:
      `getPlugIdByBaseUrl` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `baseUrl` - integrated application base URL
    Returns:
      integrated application id
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getPlugIdByBaseUrl(java.lang.String, java.lang.String)`

  - ### prepareGetBaseUrlByName

    public void prepareGetBaseUrlByName(String sessionId, String iaName, Object returnValue)
    Prepare a simulated response to getBaseUrlByName
    See Also:
      - `PluggableAppSoap.getBaseUrlByName(java.lang.String, java.lang.String)`

  - ### getBaseUrlByName

    public String getBaseUrlByName(String sessionId, String iaName) throws RemoteException
    Simulate a call to getBaseUrlByName
    Specified by:
      `getBaseUrlByName` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `iaName` - integrated application name
    Returns:
      baseUrl
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getBaseUrlByName(java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplication

    public void prepareCreateIntegratedApplication(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, Object returnValue)
    Prepare a simulated response to createIntegratedApplication
    See Also:
      - `PluggableAppSoap.createIntegratedApplication(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplication

    @Deprecated public PluggableComponentSoapDO createIntegratedApplication(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle) throws RemoteException
    Deprecated.
    Simulate a call to createIntegratedApplication
    Specified by:
      `createIntegratedApplication` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `plugName` - the integratedApp Name
      `description` - the integratedApp description
      `baseUrl` - the app's baseUrl
      `goUrl` - the goUrl
      `prefix` - the app's prefix
      `isScmRequired` - the isScmRequired
      `requireProjPrefix` - the project prefix
      `iconFileId` - the iconfileId
      `endPoint` - the endPoint
      `paramDO` - the PluggableComponentParameterSoapDO
      `adminUrl` - url for integrated app. site administration. the PluggableComponentParameterSoapDO
      `permSoapDO` - the PluggablePermissionSoapDO
      `pceInputType` - pceInputType of integrated app
      `pceResultFormat` - pceResultFormat of integrated app
      `pceDescription` - pceDescription of integrated app
      `pceTitle` - pceTitle of integrated app
    Returns:
      a `PluggableComponentSoapDO` of the created application
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault`
      `IllegalArgumentFault`
      `ObjectAlreadyExistsFault`
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplication(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplication2

    public void prepareCreateIntegratedApplication2(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType, Object returnValue)
    Prepare a simulated response to createIntegratedApplication2
    See Also:
      - `PluggableAppSoap.createIntegratedApplication2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplication2

    @Deprecated public PluggableComponent2SoapDO createIntegratedApplication2(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType) throws RemoteException
    Deprecated.
    Simulate a call to createIntegratedApplication2
    Specified by:
      `createIntegratedApplication2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `plugName` - the integratedApp Name
      `description` - the integratedApp description
      `baseUrl` - the app's baseUrl
      `goUrl` - the goUrl
      `prefix` - the app's prefix
      `isScmRequired` - the isScmRequired
      `requireProjPrefix` - the project prefix
      `iconFileId` - the iconfileId
      `endPoint` - the endPoint
      `paramDO` - the PluggableComponentParameterSoapDO
      `adminUrl` - url for integrated app. site administration.
      `permSoapDO` - the PluggablePermissionSoapDO
      `pceInputType` - pceInputType of integrated app
      `pceResultFormat` - pceResultFormat of integrated app
      `pceDescription` - pceDescription of integrated app
      `pceTitle` - pceTitle of integrated app
      `idPattern` - Regular expression for the object id which used for creating association links.
      `serviceType` - The service type REST / SOAP
    Returns:
      a `PluggableComponent2SoapDO` of the created application
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault`
      `IllegalArgumentFault`
      `ObjectAlreadyExistsFault`
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplication2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplication3

    public void prepareCreateIntegratedApplication3(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileKey, String iconFileName, String iconMimeType, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType, Object returnValue)
    Prepare a simulated response to createIntegratedApplication3
    See Also:
      - `PluggableAppSoap.createIntegratedApplication3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplication3

    @Deprecated public PluggableComponent2SoapDO createIntegratedApplication3(String sessionId, String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileKey, String iconFileName, String iconMimeType, String endPoint, PluggableComponentParameterSoapDO[] paramDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType) throws RemoteException
    Deprecated.
    Simulate a call to createIntegratedApplication3
    Specified by:
      `createIntegratedApplication3` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `plugName` - the integratedApp Name
      `description` - the integratedApp description
      `baseUrl` - the app's baseUrl
      `goUrl` - the goUrl
      `prefix` - the app's prefix
      `isScmRequired` - the isScmRequired
      `requireProjPrefix` - the project prefix
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the icon file name
      `iconMimeType` - the mime-type of the icon (supported icon file formats are GIF/JPEG/PNG)
      `endPoint` - the endPoint
      `paramDO` - the PluggableComponentParameterSoapDO
      `adminUrl` - url for integrated app. site administration.
      `permSoapDO` - the PluggablePermissionSoapDO
      `pceInputType` - pceInputType of integrated app
      `pceResultFormat` - pceResultFormat of integrated app
      `pceDescription` - pceDescription of integrated app
      `pceTitle` - pceTitle of integrated app
      `idPattern` - Regular expression for the object id which used for creating association links.
      `serviceType` - The service type REST / SOAP
    Returns:
      a `PluggableComponent2SoapDO` of the created application
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault`
      `IllegalArgumentFault`
      `ObjectAlreadyExistsFault`
      `SystemFault`
      `NoSuchObjectFault`
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplication3(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplication4

    public void prepareCreateIntegratedApplication4(String sessionId, PluggableComponent3SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)
    Prepare a simulated response to createIntegratedApplication4
    See Also:
      - `PluggableAppSoap.createIntegratedApplication4(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent3SoapDO, java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplication4

    @Deprecated public PluggableComponent3SoapDO createIntegratedApplication4(String sessionId, PluggableComponent3SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Deprecated.
    Simulate a call to createIntegratedApplication4
    Specified by:
      `createIntegratedApplication4` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `soapDO` - a `PluggableComponent3SoapDO` with integrated application properties
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the icon file name
      `iconMimeType` - the mime-type of the icon (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent3SoapDO` of the created application
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault`
      `IllegalArgumentFault`
      `ObjectAlreadyExistsFault`
      `SystemFault`
      `NoSuchObjectFault`
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplication4(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent3SoapDO, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplication5

    public void prepareCreateIntegratedApplication5(String sessionId, PluggableComponent4SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)
    Prepare a simulated response to createIntegratedApplication5
    See Also:
      - `PluggableAppSoap.createIntegratedApplication5(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent4SoapDO, java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplication5

    @Deprecated public PluggableComponent4SoapDO createIntegratedApplication5(String sessionId, PluggableComponent4SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Deprecated.
    Simulate a call to createIntegratedApplication5
    Specified by:
      `createIntegratedApplication5` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `soapDO` - a `PluggableComponent4SoapDO` with integrated application properties
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the icon file name
      `iconMimeType` - the mime-type of the icon (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent4SoapDO` of the created application
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault`
      `IllegalArgumentFault`
      `ObjectAlreadyExistsFault`
      `SystemFault`
      `NoSuchObjectFault`
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplication5(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent4SoapDO, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplication6

    public void prepareCreateIntegratedApplication6(String sessionId, PluggableComponent5SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)
    Prepare a simulated response to createIntegratedApplication6
    See Also:
      - `PluggableAppSoap.createIntegratedApplication6(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent5SoapDO, java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplication6

    public PluggableComponent5SoapDO createIntegratedApplication6(String sessionId, PluggableComponent5SoapDO soapDO, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Simulate a call to createIntegratedApplication6
    Specified by:
      `createIntegratedApplication6` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap session ID
      `soapDO` - a `PluggableComponent5SoapDO` with integrated application properties
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the icon file name
      `iconMimeType` - the mime-type of the icon (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent5SoapDO` of the created application
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `PermissionDeniedFault`
      `IllegalArgumentFault`
      `ObjectAlreadyExistsFault`
      `SystemFault`
      `NoSuchObjectFault`
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplication6(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent5SoapDO, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplication

    public void prepareCreateIntegratedApplication(String sessionId, com.vasoftware.sf.server.services.pluggable.PluggableComponentDO pluggableComponentDO, Object returnValue)
    Prepare a simulated response to createIntegratedApplication
    See Also:
      - `PluggableAppSoap.createIntegratedApplication(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplication

    public com.vasoftware.sf.server.services.pluggable.PluggableComponentDO createIntegratedApplication(String sessionId, com.vasoftware.sf.server.services.pluggable.PluggableComponentDO pluggableComponentDO) throws RemoteException
    Simulate a call to createIntegratedApplication
    Throws:
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplication(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplication

    public void prepareCreateIntegratedApplication(String sessionId, com.vasoftware.sf.server.services.pluggable.PluggableComponentDO pluggableComponentDO, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)
    Prepare a simulated response to createIntegratedApplication
    See Also:
      - `PluggableAppSoap.createIntegratedApplication(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplication

    public com.vasoftware.sf.server.services.pluggable.PluggableComponentDO createIntegratedApplication(String sessionId, com.vasoftware.sf.server.services.pluggable.PluggableComponentDO pluggableComponentDO, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Simulate a call to createIntegratedApplication
    Throws:
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplication(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetPluggableComponentDO

    public void prepareGetPluggableComponentDO(String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] configParamDO, PluggableComponentParameterSoapDO[] globalConfigParamDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType, Object returnValue)
    Prepare a simulated response to getPluggableComponentDO
    See Also:
      - `PluggableAppSoap.getPluggableComponentDO(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### getPluggableComponentDO

    public com.vasoftware.sf.server.services.pluggable.PluggableComponentDO getPluggableComponentDO(String plugName, String description, String baseUrl, String goUrl, String prefix, String isScmRequired, String requireProjPrefix, String iconFileId, String endPoint, PluggableComponentParameterSoapDO[] configParamDO, PluggableComponentParameterSoapDO[] globalConfigParamDO, String adminUrl, PluggablePermissionSoapDO[] permSoapDO, String isPageComponentRequired, String pceInputType, String pceResultFormat, String pceDescription, String pceTitle, String idPattern, String serviceType) throws RemoteException
    Simulate a call to getPluggableComponentDO
    Throws:
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getPluggableComponentDO(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplicationFromXMLFiles

    public void prepareCreateIntegratedApplicationFromXMLFiles(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId, Object returnValue)
    Prepare a simulated response to createIntegratedApplicationFromXMLFiles
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles(java.lang.String, byte[], byte[], java.lang.String)`

  - ### createIntegratedApplicationFromXMLFiles

    @Deprecated public PluggableComponentSoapDO createIntegratedApplicationFromXMLFiles(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId) throws RemoteException
    Deprecated.
    Simulate a call to createIntegratedApplicationFromXMLFiles
    Specified by:
      `createIntegratedApplicationFromXMLFiles` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - user session id
      `depXmlByteArray` - integrated app deployment xml byte array
      `appXmlByteArray` - integrated app application xml byte array
      `iconFileId` - icon file id, should be a StoredFileKey id
    Returns:
      PluggableComponentSoapDO with the details of the integrated application that was created.
    Throws:
      `InvalidSessionFault` - thrown when the session is invalid
      `PermissionDeniedFault` - thrown when the user does not have the permission to perform this operation
      `ObjectAlreadyExistsFault` - thrown when an application by the same name/prefix/baseurl exist
      `SystemFault` - thrown when the content/syntax of the XML is invalid or any other system error
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles(java.lang.String, byte[], byte[], java.lang.String)`

  - ### prepareCreateIntegratedApplicationFromXMLFiles2

    public void prepareCreateIntegratedApplicationFromXMLFiles2(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId, Object returnValue)
    Prepare a simulated response to createIntegratedApplicationFromXMLFiles2
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles2(java.lang.String, byte[], byte[], java.lang.String)`

  - ### createIntegratedApplicationFromXMLFiles2

    @Deprecated public PluggableComponent2SoapDO createIntegratedApplicationFromXMLFiles2(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId) throws RemoteException
    Deprecated.
    Simulate a call to createIntegratedApplicationFromXMLFiles2
    Specified by:
      `createIntegratedApplicationFromXMLFiles2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `depXmlByteArray` - integrated application deployment XML byte array
      `appXmlByteArray` - integrated application application XML byte array
      `iconFileId` - icon file id, should be a StoredFileKey id
    Returns:
      a `PluggableComponent2SoapDO` for the integrated application that was just created.
    Throws:
      `InvalidSessionFault` - thrown when the session is invalid
      `PermissionDeniedFault` - thrown when the user does not have the permission to perform this operation
      `ObjectAlreadyExistsFault` - thrown when an application by the same name/prefix/baseurl exist
      `SystemFault` - thrown when the content/syntax of the XML is invalid or any other system error
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles2(java.lang.String, byte[], byte[], java.lang.String)`

  - ### prepareCreateIntegratedApplicationFromXMLFiles3

    public void prepareCreateIntegratedApplicationFromXMLFiles3(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)
    Prepare a simulated response to createIntegratedApplicationFromXMLFiles3
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles3(java.lang.String, byte[], byte[], java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplicationFromXMLFiles3

    @Deprecated public PluggableComponent2SoapDO createIntegratedApplicationFromXMLFiles3(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Deprecated.
    Simulate a call to createIntegratedApplicationFromXMLFiles3
    Specified by:
      `createIntegratedApplicationFromXMLFiles3` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `depXmlByteArray` - integrated application deployment XML byte array
      `appXmlByteArray` - integrated application application XML byte array
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the name of the icon file
      `iconMimeType` - the mime-type of the icon file (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent2SoapDO` for the integrated application that was just created.
    Throws:
      `InvalidSessionFault` - thrown when the session is invalid
      `PermissionDeniedFault` - thrown when the user does not have the permission to perform this operation
      `ObjectAlreadyExistsFault` - thrown when an application by the same name/prefix/baseurl exist
      `SystemFault` - thrown when the content/syntax of the XML is invalid or any other system error
      `IllegalArgumentFault`
      `NoSuchObjectFault`
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles3(java.lang.String, byte[], byte[], java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplicationFromXMLFiles4

    public void prepareCreateIntegratedApplicationFromXMLFiles4(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)
    Prepare a simulated response to createIntegratedApplicationFromXMLFiles4
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles4(java.lang.String, byte[], byte[], java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplicationFromXMLFiles4

    @Deprecated public PluggableComponent3SoapDO createIntegratedApplicationFromXMLFiles4(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Deprecated.
    Simulate a call to createIntegratedApplicationFromXMLFiles4
    Specified by:
      `createIntegratedApplicationFromXMLFiles4` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `depXmlByteArray` - integrated application deployment XML byte array
      `appXmlByteArray` - integrated application application XML byte array
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the name of the icon file
      `iconMimeType` - the mime-type of the icon file (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent3SoapDO` for the integrated application that was just created.
    Throws:
      `InvalidSessionFault` - thrown when the session is invalid
      `PermissionDeniedFault` - thrown when the user does not have the permission to perform this operation
      `ObjectAlreadyExistsFault` - thrown when an application by the same name/prefix/baseurl exist
      `SystemFault` - thrown when the content/syntax of the XML is invalid or any other system error
      `IllegalArgumentFault`
      `NoSuchObjectFault`
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles4(java.lang.String, byte[], byte[], java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplicationFromXMLFiles5

    public void prepareCreateIntegratedApplicationFromXMLFiles5(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)
    Prepare a simulated response to createIntegratedApplicationFromXMLFiles5
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles5(java.lang.String, byte[], byte[], java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplicationFromXMLFiles5

    @Deprecated public PluggableComponent4SoapDO createIntegratedApplicationFromXMLFiles5(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Deprecated.
    Simulate a call to createIntegratedApplicationFromXMLFiles5
    Specified by:
      `createIntegratedApplicationFromXMLFiles5` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `depXmlByteArray` - integrated application deployment XML byte array
      `appXmlByteArray` - integrated application application XML byte array
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the name of the icon file
      `iconMimeType` - the mime-type of the icon file (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent4SoapDO` for the integrated application that was just created.
    Throws:
      `InvalidSessionFault` - thrown when the session is invalid
      `PermissionDeniedFault` - thrown when the user does not have the permission to perform this operation
      `ObjectAlreadyExistsFault` - thrown when an application by the same name/prefix/baseurl exist
      `SystemFault` - thrown when the content/syntax of the XML is invalid or any other system error
      `IllegalArgumentFault`
      `NoSuchObjectFault`
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles5(java.lang.String, byte[], byte[], java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplicationFromXMLFiles6

    public void prepareCreateIntegratedApplicationFromXMLFiles6(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)
    Prepare a simulated response to createIntegratedApplicationFromXMLFiles6
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles6(java.lang.String, byte[], byte[], java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplicationFromXMLFiles6

    public PluggableComponent5SoapDO createIntegratedApplicationFromXMLFiles6(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Simulate a call to createIntegratedApplicationFromXMLFiles6
    Specified by:
      `createIntegratedApplicationFromXMLFiles6` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `depXmlByteArray` - integrated application deployment XML byte array
      `appXmlByteArray` - integrated application application XML byte array
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service)
      `iconFileName` - the name of the icon file
      `iconMimeType` - the mime-type of the icon file (supported icon file formats are GIF/JPEG/PNG)
    Returns:
      a `PluggableComponent5SoapDO` for the integrated application that was just created.
    Throws:
      `InvalidSessionFault` - thrown when the session is invalid
      `PermissionDeniedFault` - thrown when the user does not have the permission to perform this operation
      `ObjectAlreadyExistsFault` - thrown when an application by the same name/prefix/baseurl exist
      `SystemFault` - thrown when the content/syntax of the XML is invalid or any other system error
      `IllegalArgumentFault`
      `NoSuchObjectFault`
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplicationFromXMLFiles6(java.lang.String, byte[], byte[], java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplication

    public void prepareCreateIntegratedApplication(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId, Object returnValue)
    Prepare a simulated response to createIntegratedApplication
    See Also:
      - `PluggableAppSoap.createIntegratedApplication(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplication

    public com.vasoftware.sf.server.services.pluggable.PluggableComponentDO createIntegratedApplication(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId) throws RemoteException
    Simulate a call to createIntegratedApplication
    Throws:
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplication(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareCreateIntegratedApplication

    public void prepareCreateIntegratedApplication(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType, Object returnValue)
    Prepare a simulated response to createIntegratedApplication
    See Also:
      - `PluggableAppSoap.createIntegratedApplication(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createIntegratedApplication

    public com.vasoftware.sf.server.services.pluggable.PluggableComponentDO createIntegratedApplication(String sessionId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Simulate a call to createIntegratedApplication
    Throws:
      `RemoteException`
    See Also:
      - `PluggableAppSoap.createIntegratedApplication(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentParameterSoapDO[], java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggablePermissionSoapDO[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareStoreIconFile

    public void prepareStoreIconFile(String iconFileKey, String iconFileName, String iconMimeType, String loggedInUser, Object returnValue)
    Prepare a simulated response to storeIconFile
    See Also:
      - `PluggableAppSoap.storeIconFile(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### storeIconFile

    public com.vasoftware.sf.server.types.GuidKey storeIconFile(String iconFileKey, String iconFileName, String iconMimeType, String loggedInUser) throws RemoteException
    Simulate a call to storeIconFile
    Throws:
      `RemoteException`
    See Also:
      - `PluggableAppSoap.storeIconFile(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetIntegratedApplicationByName

    public void prepareGetIntegratedApplicationByName(String sessionId, String plugName, Object returnValue)
    Prepare a simulated response to getIntegratedApplicationByName
    See Also:
      - `PluggableAppSoap.getIntegratedApplicationByName(java.lang.String, java.lang.String)`

  - ### getIntegratedApplicationByName

    @Deprecated public PluggableComponentSoapDO getIntegratedApplicationByName(String sessionId, String plugName) throws RemoteException
    Deprecated.
    Simulate a call to getIntegratedApplicationByName
    Specified by:
      `getIntegratedApplicationByName` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap sessionid
      `plugName` - the Integrated App Name
    Returns:
      PluggableComponentSoapDO object
    Throws:
      `InvalidSessionFault` - when the session is invalid.
      `NoSuchObjectFault`
      `SystemFault` - when an unexpected system level error occurs.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getIntegratedApplicationByName(java.lang.String, java.lang.String)`

  - ### prepareGetIntegratedApplicationByName2

    public void prepareGetIntegratedApplicationByName2(String sessionId, String integratedAppName, Object returnValue)
    Prepare a simulated response to getIntegratedApplicationByName2
    See Also:
      - `PluggableAppSoap.getIntegratedApplicationByName2(java.lang.String, java.lang.String)`

  - ### getIntegratedApplicationByName2

    @Deprecated public PluggableComponent2SoapDO getIntegratedApplicationByName2(String sessionId, String integratedAppName) throws RemoteException
    Deprecated.
    Simulate a call to getIntegratedApplicationByName2
    Specified by:
      `getIntegratedApplicationByName2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `integratedAppName` - integrated application name
    Returns:
      `PluggableComponent2SoapDO` for a given integrated application name
    Throws:
      `InvalidSessionFault` - thrown when the soap session is invalid
      `NoSuchObjectFault` - thrown if the given integrated application name does not exist
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getIntegratedApplicationByName2(java.lang.String, java.lang.String)`

  - ### prepareGetIntegratedApplicationByName3

    public void prepareGetIntegratedApplicationByName3(String sessionId, String integratedAppName, Object returnValue)
    Prepare a simulated response to getIntegratedApplicationByName3
    See Also:
      - `PluggableAppSoap.getIntegratedApplicationByName3(java.lang.String, java.lang.String)`

  - ### getIntegratedApplicationByName3

    @Deprecated public PluggableComponent3SoapDO getIntegratedApplicationByName3(String sessionId, String integratedAppName) throws RemoteException
    Deprecated.
    Simulate a call to getIntegratedApplicationByName3
    Specified by:
      `getIntegratedApplicationByName3` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `integratedAppName` - integrated application name
    Returns:
      `PluggableComponent3SoapDO` for a given integrated application name
    Throws:
      `InvalidSessionFault` - thrown when the soap session is invalid
      `NoSuchObjectFault` - thrown if the given integrated application name does not exist
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getIntegratedApplicationByName3(java.lang.String, java.lang.String)`

  - ### prepareGetIntegratedApplicationByName4

    public void prepareGetIntegratedApplicationByName4(String sessionId, String integratedAppName, Object returnValue)
    Prepare a simulated response to getIntegratedApplicationByName4
    See Also:
      - `PluggableAppSoap.getIntegratedApplicationByName4(java.lang.String, java.lang.String)`

  - ### getIntegratedApplicationByName4

    @Deprecated public PluggableComponent4SoapDO getIntegratedApplicationByName4(String sessionId, String integratedAppName) throws RemoteException
    Deprecated.
    Simulate a call to getIntegratedApplicationByName4
    Specified by:
      `getIntegratedApplicationByName4` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `integratedAppName` - integrated application name
    Returns:
      `PluggableComponent4SoapDO` for a given integrated application name
    Throws:
      `InvalidSessionFault` - thrown when the soap session is invalid
      `NoSuchObjectFault` - thrown if the given integrated application name does not exist
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getIntegratedApplicationByName4(java.lang.String, java.lang.String)`

  - ### prepareGetIntegratedApplicationByName5

    public void prepareGetIntegratedApplicationByName5(String sessionId, String integratedAppName, Object returnValue)
    Prepare a simulated response to getIntegratedApplicationByName5
    See Also:
      - `PluggableAppSoap.getIntegratedApplicationByName5(java.lang.String, java.lang.String)`

  - ### getIntegratedApplicationByName5

    public PluggableComponent5SoapDO getIntegratedApplicationByName5(String sessionId, String integratedAppName) throws RemoteException
    Simulate a call to getIntegratedApplicationByName5
    Specified by:
      `getIntegratedApplicationByName5` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `integratedAppName` - integrated application name
    Returns:
      `PluggableComponent5SoapDO` for a given integrated application name
    Throws:
      `InvalidSessionFault` - thrown when the soap session is invalid
      `NoSuchObjectFault` - thrown if the given integrated application name does not exist
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getIntegratedApplicationByName5(java.lang.String, java.lang.String)`

  - ### prepareFindIntegratedApplicationByName

    public void prepareFindIntegratedApplicationByName(String sessionId, String integratedAppName, Object returnValue)
    Prepare a simulated response to findIntegratedApplicationByName
    See Also:
      - `PluggableAppSoap.findIntegratedApplicationByName(java.lang.String, java.lang.String)`

  - ### findIntegratedApplicationByName

    public com.vasoftware.sf.server.services.pluggable.PluggableComponentDO findIntegratedApplicationByName(String sessionId, String integratedAppName) throws RemoteException
    Simulate a call to findIntegratedApplicationByName
    Throws:
      `RemoteException`
    See Also:
      - `PluggableAppSoap.findIntegratedApplicationByName(java.lang.String, java.lang.String)`

  - ### prepareEditIntegratedApplication

    public void prepareEditIntegratedApplication(String sessionId, PluggableComponentSoapDO soapDO)
    Prepare a simulated response to editIntegratedApplication
    See Also:
      - `PluggableAppSoap.editIntegratedApplication(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentSoapDO)`

  - ### prepareEditIntegratedApplication

    public void prepareEditIntegratedApplication(String sessionId, PluggableComponentSoapDO soapDO, Exception exception)
    Prepare a simulated response to editIntegratedApplication
    See Also:
      - `PluggableAppSoap.editIntegratedApplication(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentSoapDO)`

  - ### editIntegratedApplication

    @Deprecated public void editIntegratedApplication(String sessionId, PluggableComponentSoapDO soapDO) throws RemoteException
    Deprecated.
    Simulate a call to editIntegratedApplication
    Specified by:
      `editIntegratedApplication` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the soap sessionId
      `soapDO` - the PluggableComponentSoapDO
    Throws:
      `InvalidSessionFault` - when session is invalid
      `PermissionDeniedFault` - when current user doesn't have enough permission
      `IllegalArgumentFault` - when given PluggableComponetSoapDO has invalid value
      `SystemFault` - when an unexpected system level error occurs.
      `NoSuchObjectFault` - when the integrated app with the given details does not exists.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.editIntegratedApplication(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponentSoapDO)`

  - ### prepareEditIntegratedApplication2

    public void prepareEditIntegratedApplication2(String sessionId, PluggableComponent2SoapDO soapDO)
    Prepare a simulated response to editIntegratedApplication2
    See Also:
      - `PluggableAppSoap.editIntegratedApplication2(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent2SoapDO)`

  - ### prepareEditIntegratedApplication2

    public void prepareEditIntegratedApplication2(String sessionId, PluggableComponent2SoapDO soapDO, Exception exception)
    Prepare a simulated response to editIntegratedApplication2
    See Also:
      - `PluggableAppSoap.editIntegratedApplication2(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent2SoapDO)`

  - ### editIntegratedApplication2

    @Deprecated public void editIntegratedApplication2(String sessionId, PluggableComponent2SoapDO soapDO) throws RemoteException
    Deprecated.
    Simulate a call to editIntegratedApplication2
    Specified by:
      `editIntegratedApplication2` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `soapDO` - a `PluggableComponent2SoapDO` with the properties to be edited.
    Throws:
      `InvalidSessionFault` - thrown if the session is invalid
      `PermissionDeniedFault` - thrown if the user has insufficient privileges
      `IllegalArgumentFault` - thrown if application properties are invalid
      `SystemFault` - thrown if there is an error when marshaling the SOAP object
      `NoSuchObjectFault` - thrown if an integrated application with the given details does not exists
      `RemoteException`
    See Also:
      - `PluggableAppSoap.editIntegratedApplication2(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent2SoapDO)`

  - ### prepareEditIntegratedApplication3

    public void prepareEditIntegratedApplication3(String sessionId, PluggableComponent3SoapDO soapDO)
    Prepare a simulated response to editIntegratedApplication3
    See Also:
      - `PluggableAppSoap.editIntegratedApplication3(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent3SoapDO)`

  - ### prepareEditIntegratedApplication3

    public void prepareEditIntegratedApplication3(String sessionId, PluggableComponent3SoapDO soapDO, Exception exception)
    Prepare a simulated response to editIntegratedApplication3
    See Also:
      - `PluggableAppSoap.editIntegratedApplication3(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent3SoapDO)`

  - ### editIntegratedApplication3

    @Deprecated public void editIntegratedApplication3(String sessionId, PluggableComponent3SoapDO soapDO) throws RemoteException
    Deprecated.
    Simulate a call to editIntegratedApplication3
    Specified by:
      `editIntegratedApplication3` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `soapDO` - a `PluggableComponent3SoapDO` with the properties to be edited.
    Throws:
      `InvalidSessionFault` - thrown if the session is invalid
      `PermissionDeniedFault` - thrown if the user has insufficient privileges
      `IllegalArgumentFault` - thrown if application properties are invalid
      `SystemFault` - thrown if there is an error when marshaling the SOAP object
      `NoSuchObjectFault` - thrown if an integrated application with the given details does not exists
      `RemoteException`
    See Also:
      - `PluggableAppSoap.editIntegratedApplication3(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent3SoapDO)`

  - ### prepareEditIntegratedApplication4

    public void prepareEditIntegratedApplication4(String sessionId, PluggableComponent4SoapDO soapDO)
    Prepare a simulated response to editIntegratedApplication4
    See Also:
      - `PluggableAppSoap.editIntegratedApplication4(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent4SoapDO)`

  - ### prepareEditIntegratedApplication4

    public void prepareEditIntegratedApplication4(String sessionId, PluggableComponent4SoapDO soapDO, Exception exception)
    Prepare a simulated response to editIntegratedApplication4
    See Also:
      - `PluggableAppSoap.editIntegratedApplication4(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent4SoapDO)`

  - ### editIntegratedApplication4

    @Deprecated public void editIntegratedApplication4(String sessionId, PluggableComponent4SoapDO soapDO) throws RemoteException
    Deprecated.
    Simulate a call to editIntegratedApplication4
    Specified by:
      `editIntegratedApplication4` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `soapDO` - a `PluggableComponent4SoapDO` with the properties to be edited.
    Throws:
      `InvalidSessionFault` - thrown if the session is invalid
      `PermissionDeniedFault` - thrown if the user has insufficient privileges
      `IllegalArgumentFault` - thrown if application properties are invalid
      `SystemFault` - thrown if there is an error when marshaling the SOAP object
      `NoSuchObjectFault` - thrown if an integrated application with the given details does not exists
      `RemoteException`
    See Also:
      - `PluggableAppSoap.editIntegratedApplication4(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent4SoapDO)`

  - ### prepareEditIntegratedApplication5

    public void prepareEditIntegratedApplication5(String sessionId, PluggableComponent5SoapDO soapDO)
    Prepare a simulated response to editIntegratedApplication5
    See Also:
      - `PluggableAppSoap.editIntegratedApplication5(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent5SoapDO)`

  - ### prepareEditIntegratedApplication5

    public void prepareEditIntegratedApplication5(String sessionId, PluggableComponent5SoapDO soapDO, Exception exception)
    Prepare a simulated response to editIntegratedApplication5
    See Also:
      - `PluggableAppSoap.editIntegratedApplication5(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent5SoapDO)`

  - ### editIntegratedApplication5

    public void editIntegratedApplication5(String sessionId, PluggableComponent5SoapDO soapDO) throws RemoteException
    Simulate a call to editIntegratedApplication5
    Specified by:
      `editIntegratedApplication5` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `soapDO` - a `PluggableComponent5SoapDO` with the properties to be edited.
    Throws:
      `InvalidSessionFault` - thrown if the session is invalid
      `PermissionDeniedFault` - thrown if the user has insufficient privileges
      `IllegalArgumentFault` - thrown if application properties are invalid
      `SystemFault` - thrown if there is an error when marshaling the SOAP object
      `NoSuchObjectFault` - thrown if an integrated application with the given details does not exists
      `RemoteException`
    See Also:
      - `PluggableAppSoap.editIntegratedApplication5(java.lang.String, com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent5SoapDO)`

  - ### prepareEditIntegratedApplicationFromXMLFiles

    public void prepareEditIntegratedApplicationFromXMLFiles(String sessionId, String integratedAppId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId)
    Prepare a simulated response to editIntegratedApplicationFromXMLFiles
    See Also:
      - `PluggableAppSoap.editIntegratedApplicationFromXMLFiles(java.lang.String, java.lang.String, byte[], byte[], java.lang.String)`

  - ### prepareEditIntegratedApplicationFromXMLFiles

    public void prepareEditIntegratedApplicationFromXMLFiles(String sessionId, String integratedAppId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId, Exception exception)
    Prepare a simulated response to editIntegratedApplicationFromXMLFiles
    See Also:
      - `PluggableAppSoap.editIntegratedApplicationFromXMLFiles(java.lang.String, java.lang.String, byte[], byte[], java.lang.String)`

  - ### editIntegratedApplicationFromXMLFiles

    public void editIntegratedApplicationFromXMLFiles(String sessionId, String integratedAppId, byte[] depXmlByteArray, byte[] appXmlByteArray, String iconFileId) throws RemoteException
    Simulate a call to editIntegratedApplicationFromXMLFiles
    Specified by:
      `editIntegratedApplicationFromXMLFiles` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - user session id
      `depXmlByteArray` - integrated app deployment xml byte array
      `appXmlByteArray` - integrated app application xml byte array
      `iconFileId` - icon file id, should be a StoredFileKey id
    Throws:
      `InvalidSessionFault` - thrown when the session is invalid
      `PermissionDeniedFault` - thrown when the user does not have the permission to perform this operation
      `NoSuchObjectFault` - thrown when an application doesn not exists with the given id
      `SystemFault` - thrown when the content/syntax of the XML is invalid or any other system error
      `RemoteException`
    See Also:
      - `PluggableAppSoap.editIntegratedApplicationFromXMLFiles(java.lang.String, java.lang.String, byte[], byte[], java.lang.String)`

  - ### prepareSetIntegratedApplicationIcon

    public void prepareSetIntegratedApplicationIcon(String sessionId, String integratedAppId, String iconFileKey, String iconFileName, String iconMimeType)
    Prepare a simulated response to setIntegratedApplicationIcon
    See Also:
      - `PluggableAppSoap.setIntegratedApplicationIcon(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareSetIntegratedApplicationIcon

    public void prepareSetIntegratedApplicationIcon(String sessionId, String integratedAppId, String iconFileKey, String iconFileName, String iconMimeType, Exception exception)
    Prepare a simulated response to setIntegratedApplicationIcon
    See Also:
      - `PluggableAppSoap.setIntegratedApplicationIcon(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### setIntegratedApplicationIcon

    public void setIntegratedApplicationIcon(String sessionId, String integratedAppId, String iconFileKey, String iconFileName, String iconMimeType) throws RemoteException
    Simulate a call to setIntegratedApplicationIcon
    Specified by:
      `setIntegratedApplicationIcon` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - soap session ID
      `integratedAppId` - integrated application for which the icon to be set
      `iconFileKey` - the uploaded icon file key (through FileStorageApp or SimpleFileStorageApp service).
      `iconFileName` - the icon file name
      `iconMimeType` - the mime-type of the icon
    Throws:
      `InvalidSessionFault` - thrown when the session is invalid
      `PermissionDeniedFault` - thrown when the user does not have the permission to perform this operation
      `SystemFault` - thrown when the content/syntax of the XML is invalid or any other system error
      `IllegalArgumentFault` - thrown if any of the parameters is not set
      `NoSuchObjectFault` - thrown when the specified integrated application does not exist.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.setIntegratedApplicationIcon(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetLinkPlugIdByPlugId

    public void prepareGetLinkPlugIdByPlugId(String sessionId, String projectId, String pluggableId, Object returnValue)
    Prepare a simulated response to getLinkPlugIdByPlugId
    See Also:
      - `PluggableAppSoap.getLinkPlugIdByPlugId(java.lang.String, java.lang.String, java.lang.String)`

  - ### getLinkPlugIdByPlugId

    public String getLinkPlugIdByPlugId(String sessionId, String projectId, String pluggableId) throws RemoteException
    Simulate a call to getLinkPlugIdByPlugId
    Specified by:
      `getLinkPlugIdByPlugId` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession ID.
      `projectId` - the project ID
      `pluggableId` - integrated application ID.
    Returns:
      integrated application link id for the specified project and pluggableId
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getLinkPlugIdByPlugId(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetProjectPrefix

    public void prepareGetProjectPrefix(String sessionId, String linkId, Object returnValue)
    Prepare a simulated response to getProjectPrefix
    See Also:
      - `PluggableAppSoap.getProjectPrefix(java.lang.String, java.lang.String)`

  - ### getProjectPrefix

    public String getProjectPrefix(String sessionId, String linkId) throws RemoteException
    Simulate a call to getProjectPrefix
    Specified by:
      `getProjectPrefix` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - UserSession Id.
      `linkId` - , integrated application link id
    Returns:
      project prefix for an integrated application.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified integrated application does not exist.
      `SystemFault` - when an unexpected system level error occurs.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getProjectPrefix(java.lang.String, java.lang.String)`

  - ### prepareUpdateRecentAccess

    public void prepareUpdateRecentAccess(String userId, String objectId)
    Prepare a simulated response to updateRecentAccess
    See Also:
      - `PluggableAppSoap.updateRecentAccess(java.lang.String, java.lang.String)`

  - ### prepareUpdateRecentAccess

    public void prepareUpdateRecentAccess(String userId, String objectId, Exception exception)
    Prepare a simulated response to updateRecentAccess
    See Also:
      - `PluggableAppSoap.updateRecentAccess(java.lang.String, java.lang.String)`

  - ### updateRecentAccess

    public void updateRecentAccess(String userId, String objectId) throws RemoteException
    Simulate a call to updateRecentAccess
    Specified by:
      `updateRecentAccess` in interface `IPluggableAppSoap`
    Parameters:
      `userId` - user who recently accessed this object
      `objectId` - recently accessed object id of the form glpl_prplXXXX_prefix_objectId_objectTitle
    Throws:
      `IllegalArgumentFault` - thrown when the objectId is invalid
      `RemoteException`
    See Also:
      - `PluggableAppSoap.updateRecentAccess(java.lang.String, java.lang.String)`

  - ### prepareGetIntegratedAppPrefixes

    public void prepareGetIntegratedAppPrefixes(String sessionId, Object returnValue)
    Prepare a simulated response to getIntegratedAppPrefixes
    See Also:
      - `PluggableAppSoap.getIntegratedAppPrefixes(java.lang.String)`

  - ### getIntegratedAppPrefixes

    public String[] getIntegratedAppPrefixes(String sessionId) throws RemoteException
    Simulate a call to getIntegratedAppPrefixes
    Specified by:
      `getIntegratedAppPrefixes` in interface `IPluggableAppSoap`
    Parameters:
      `sessionId` - the Session id of the user
    Returns:
      Array List of Integrated App Prefixes.
    Throws:
      `InvalidSessionFault` - when session is invalid
      `RemoteException`
    See Also:
      - `PluggableAppSoap.getIntegratedAppPrefixes(java.lang.String)`

  - ### prepareSetPluggableAppMessageResource

    public void prepareSetPluggableAppMessageResource(String sessionId, String pluggableId, String locale, String key, String value)
    Prepare a simulated response to setPluggableAppMessageResource
    See Also:
      - `PluggableAppSoap.setPluggableAppMessageResource(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareSetPluggableAppMessageResource

    public void prepareSetPluggableAppMessageResource(String sessionId, String pluggableId, String locale, String key, String value, Exception exception)
    Prepare a simulated response to setPluggableAppMessageResource
    See Also:
      - `PluggableAppSoap.setPluggableAppMessageResource(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### setPluggableAppMessageResource

    public void setPluggableAppMessageResource(String sessionId, String pluggableId, String locale, String key, String value) throws RemoteException
    Simulate a call to setPluggableAppMessageResource
    Specified by:
      `setPluggableAppMessageResource` in interface `IPluggableAppSoap`
      `pluggableId` - The Pluggable Id for which this message resource to be created
      `locale` - The Locale
      `key` - The Resource Key
      `value` - The Resource Value
    Throws:
      `SystemFault` - when an unexpected system level error occurs.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `RemoteException`
    See Also:
      - `PluggableAppSoap.setPluggableAppMessageResource(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`